1

Тема: Проблема с p01-contact - сайт выдаёт ошибку 500 полностью

Такая проблема при включении в админке плагина p01-contact, сайт полностью перестаёт работать.

Вот такое сообщение выдаёт Сайт site.com пока не может обработать этот запрос.

Чтобы сайт опять работал необходимо зайти через панель хостинга и удалить плагин.

Есть ли решение проблемы?

Поделиться

2

Re: Проблема с p01-contact - сайт выдаёт ошибку 500 полностью

ни разу у меня не возникало проблем с этим плагином, скорее всего он конфликтует с каким-то другим, удалите его, войдите в админку, отключите все плагины, затем залейте его снова, включите и по-очереди включайте остальные плагины, тогда вы сможете найти конфликтный плагин, возможно есть другие аналоги конфликтного плагина

Поддержать GetSimple CMS по-русски ЯДом

Сайт olsv64

Поделиться

3 (2018-04-21 02:49:50 отредактировано astron)

Re: Проблема с p01-contact - сайт выдаёт ошибку 500 полностью

olsv64 пишет:

ни разу у меня не возникало проблем с этим плагином, скорее всего он конфликтует с каким-то другим, удалите его, войдите в админку, отключите все плагины, затем залейте его снова, включите и по-очереди включайте остальные плагины, тогда вы сможете найти конфликтный плагин, возможно есть другие аналоги конфликтного плагина

В режиме отладки такую ошибку выдаёт
Parse error: syntax error, unexpected '[' in /home/site/public_html/plugins/p01-contact/src/P01contact.php on line 131

Причём ещё, как только нажимаешь на кнопку включить, то пишет что плагин отключён. А потом обновляешь страницу и даже в админке ошибку 500 выбивает. и всё после активации этого плагина, причём любой версии. А на других сайтах работает. И сборки идентичные.

Поделиться

4

Re: Проблема с p01-contact - сайт выдаёт ошибку 500 полностью

вы, похоже, пользуетесь новым плагином, я его потестировал, он еще сыроват, мне кажется, но если на других сайтах работает, возможно дело в вашем хостинге или все-таки конфликт с другим плагином
попробуйте скачать с моего сайта, там еще старая рабочая версия http://getsimplecms.ru/plaginy-dlya-get … 1-contact/

Поддержать GetSimple CMS по-русски ЯДом

Сайт olsv64

Поделиться

5 (2018-04-21 04:47:38 отредактировано astron)

Re: Проблема с p01-contact - сайт выдаёт ошибку 500 полностью

olsv64 пишет:

вы, похоже, пользуетесь новым плагином, я его потестировал, он еще сыроват, мне кажется, но если на других сайтах работает, возможно дело в вашем хостинге или все-таки конфликт с другим плагином
попробуйте скачать с моего сайта, там еще старая рабочая версия http://getsimplecms.ru/plaginy-dlya-get … 1-contact/

Коротко говоря, у меня проблема с языками, сайт на английском, и там в файле конфигурации проблемы. Нужно было сносить много строк кода проверок. Снёс заработало, но форма не функционирует.

Поделиться

6

Re: Проблема с p01-contact - сайт выдаёт ошибку 500 полностью

я сегодня тестировал 3.4, возможно ваш плагин установлен на версию 3.4 альфа

Поддержать GetSimple CMS по-русски ЯДом

Сайт olsv64

Поделиться